- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AbcSolution Class Reference

This class holds a MIP feasible primal solution. More...

`#include <AbcSolution.h>`

Inheritance diagram for AbcSolution:

[legend]
Collaboration diagram for AbcSolution:

[legend]
List of all members.

## Public Member Functions
| AbcSolution ()
| AbcSolution (const int s, const double *val, const double obj)
| ~AbcSolution ()
double | getObjValue () const
| Get the objective value value.
virtual double | getQuality () const
int | getSize () const
| Get the size of the solution.
const double * | getColSolution () const
| Get the column solution.
double | getColSolution (int i) const
| Get item i in the solution vector.
virtual void | print (std::ostream &os) const
| Print out the solution.
virtual AlpsEncoded * | encode () const
| The method that encodes the solution into a encoded object.
virtual AlpsKnowledge * | decode (AlpsEncoded &) const
| The method that decodes the solution from a encoded object.
## Private Attributes
int | size_
double * | value_
double | objective_

## Detailed Description

This class holds a MIP feasible primal solution.

Definition at line 31 of file AbcSolution.h.

## Constructor & Destructor Documentation

AbcSolution::AbcSolution | ( |  | ) | `[inline]`

Definition at line 38 of file AbcSolution.h.

AbcSolution::AbcSolution | ( | const int | s,
|  | const double * | val,
|  | const double | obj |
| ) |  |  | `[inline]`

Definition at line 44 of file AbcSolution.h.

References size_, and value_.

AbcSolution::~AbcSolution | ( |  | ) | `[inline]`

Definition at line 54 of file AbcSolution.h.

References value_.

## Member Function Documentation

double AbcSolution::getObjValue | ( |  | ) | const`[inline]`

Get the objective value value.

Definition at line 62 of file AbcSolution.h.

References objective_.

Referenced by getQuality().

virtual double AbcSolution::getQuality | ( |  | ) | const`[inline, virtual]`

Definition at line 64 of file AbcSolution.h.

References getObjValue().

int AbcSolution::getSize | ( |  | ) | const`[inline]`

Get the size of the solution.

Definition at line 67 of file AbcSolution.h.

References size_.

const double* AbcSolution::getColSolution | ( |  | ) | const`[inline]`

Get the column solution.

Definition at line 70 of file AbcSolution.h.

References value_.

double AbcSolution::getColSolution | ( | int | i | ) | const`[inline]`

Get item i in the solution vector.

Definition at line 74 of file AbcSolution.h.

References value_.

virtual void AbcSolution::print | ( | std::ostream & | os | ) | const`[virtual]`

Print out the solution.

Reimplemented from AlpsSolution.

virtual AlpsEncoded* AbcSolution::encode | ( |  | ) | const`[virtual]`

The method that encodes the solution into a encoded object.

Reimplemented from AlpsKnowledge.

virtual AlpsKnowledge* AbcSolution::decode | ( | AlpsEncoded & |  | ) | const`[virtual]`

The method that decodes the solution from a encoded object.

Reimplemented from AlpsKnowledge.

## Member Data Documentation

int AbcSolution::size_`[private]`

Definition at line 33 of file AbcSolution.h.

Referenced by AbcSolution(), and getSize().

double* AbcSolution::value_`[private]`

Definition at line 34 of file AbcSolution.h.

Referenced by AbcSolution(), getColSolution(), and ~AbcSolution().

double AbcSolution::objective_`[private]`

Definition at line 35 of file AbcSolution.h.

Referenced by getObjValue().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.2/Alps/examples/Abc/AbcSolution.h